/**
 ** A Virtual Host Monitor
 **
 ** Copyright 2009 Gary Wuertz gary@issiweb.com
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef TOPVHOST_H
#define TOPVHOST_H
/**
 * The application
 */
class topvhost {
public:
  enum {                      // display sort order
    BY_ACCESS,
    BY_HITS,
    BY_NAME
  };
  std::string hfmt;             // header format
  std::string rfmt;             // row format
  std::string tline;            // the terminal line
  bool        paint;            // forced repaint
  bool        resize;           // resize the window
  bool        debug;            // for diganostics
  int         order;            // current display order
  int         exit;             // exit code
  int         maxx;             // number of screen columns
  int         maxy;             // number of screen rows
  int         hdrsz;            // number of header lines
  int         hits;             // hit total for all hosts
  int         namelen;          // length of longest domain name
  int         total;            // total hosts
  int         visible;          // visible hosts
  int         passes;           // number of execution loops
  time_t      start;            // time the application started
  long        meter;            // how many bytes read

  void        getHeader();      // get page header
};
#endif
